{% extends "base.html" %}
{% load i18n %}

{% block title %}{{ object.name }}{% endblock %}

{% block content %}
  <div class="row mt-2">
    <div class="col">
      <h1>{% if object.color %}<span class="color-box" style="background-color:{{ object.color }}"></span> {% endif %}{{ object.name }}</h1>
      <p><i>{{ object.description }}</i></p>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      <a href="{% url 'locations:change' object.id %}" class="btn btn-outline-primary"><i class="bi bi-pencil"></i></a>
    </div>
  </div>
  <div class="row">
    <div class="col-6">
      <p><i class="bi bi-geo-alt-fill"></i> {% translate 'located inside'|capfirst %}:
        {% if object.get_parent %}
          <a href="{{ object.get_parent.get_absolute_url }}">{{ object.get_parent }}</a>
        {% else %}
          {% translate 'none (root location)'|capfirst %}
        {% endif %}
      </p>
      <h2>{% translate 'inside locations'|capfirst %}</h2>
      {% include 'locations/snippets/location_table.html' with locations=object.get_descendants compact=True %}
    </div>
    <div class="col-6">
      {% if object.latitude and object.longitude %}
        <iframe width="425" height="350" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"
                src="https://www.openstreetmap.org/export/embed.html?layer=mapnik&amp;marker={{ location.latitude|floatformat:"5u" }}%2C{{ location.longitude|floatformat:"5u" }}" style="border: 1px solid black"></iframe>
        <br/><small><i class="bi bi-map"></i> <a href="geo:46.99874,6.94125?z=19">{% translate "Open a larger map" %}</a></small>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <h2>{% translate 'processing lines'|capfirst %}</h2>
      {% include 'treatments/snippets/processingline_table.html' with processing_lines=object.processing_lines.all compact=True %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <h2>{% translate 'artefacts'|capfirst %}</h2>
      <p>Include the list of artefacts currently at this location...</p>
    </div>
  </div>
{% endblock %}
